## org.eclipse.datatools.sqltools.sqlbuilder.views
Class Workbook

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.Workbook

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class Workbook

extends java.lang.Object
implements org.eclipse.swt.events.SelectionListener

Constructor Summary
`Workbook(org.eclipse.swt.widgets.Composite parent)`
`Workbook(org.eclipse.swt.widgets.Composite parent, int style)`

Method Summary
`void` `addPage(org.eclipse.swt.widgets.Control page, java.lang.String label, org.eclipse.swt.graphics.Image image, java.lang.String toolTipText)`
`org.eclipse.swt.widgets.Composite` `getClientComposite()`
`org.eclipse.ui.part.PageBook` `getPageBook()`
`org.eclipse.swt.widgets.TabFolder` `getTabFolder()`
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Workbook

    public Workbook(org.eclipse.swt.widgets.Composite parent)

### Workbook

    public Workbook(org.eclipse.swt.widgets.Composite parent,
                    int style)

Method Detail

### getClientComposite

    public org.eclipse.swt.widgets.Composite getClientComposite()

### getTabFolder

    public org.eclipse.swt.widgets.TabFolder getTabFolder()

### getPageBook

    public org.eclipse.ui.part.PageBook getPageBook()

### addPage

    public void addPage(org.eclipse.swt.widgets.Control page,
                        java.lang.String label,
                        org.eclipse.swt.graphics.Image image,
                        java.lang.String toolTipText)

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`